This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### strokeCap()
Examples |
    strokeWeight(12.0);
    strokeCap(ROUND);
    line(20, 30, 80, 30);
    strokeCap(SQUARE);
    line(20, 50, 80, 50);
    strokeCap(PROJECT);
    line(20, 70, 80, 70);
Description | Sets the style for rendering line endings. These ends are either squared, extended, or rounded, each of which specified with the corresponding parameters: SQUARE, PROJECT, and ROUND. The default cap is ROUND.
Syntax |
    strokeCap(cap)
Parameters |
cap | int: either SQUARE, PROJECT, or ROUND
Returns | void
Related | stroke() strokeWeight() strokeJoin() size()

Updated on October 26, 2013 08:58:32pm PDT